Skip to main content
PATCH
Patch Evaluation Group

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

group_id
string
required

Body

application/json

Request model for partial update of evaluation group attributes (name, description, tags, metadata, row_identifiers) (PATCH)

tags
string[] | null

The tags associated with the entity

name
string | null

Name of the evaluation group

Maximum string length: 128
description
string | null

Optional description

metadata
Metadata · object | null

Optional metadata key-value pairs

row_identifiers
Row Identifiers · object | null

Optional mapping of evaluation_id to column name for cross-dataset joins

Response

Successful Response

Response model for evaluation group

id
string
required

Unique identifier of the evaluation group

tags
string[] | null
required

The tags associated with the entity

name
string
required

Name of the evaluation group

created_at
string<date-time>
required

When the group was created

account_id
string
required

Account that owns this evaluation group

object
string
default:evaluation_group
Allowed value: "evaluation_group"
description
string | null

Optional description

metadata
Metadata · object | null

Optional metadata key-value pairs

deleted_at
string<date-time> | null

When the group was soft-deleted

members
Members · object[] | null

Evaluation members in this group. Returned by default on GET by id; on list endpoints, populated only with the 'members' view.

row_identifiers
Row Identifiers · object[] | null

Row identifier mappings. Populated with 'row_identifiers' view.